run_automation
curl --request POST \
--url https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/run-now \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({application_id: '<string>'})
};
fetch('https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/run-now', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/run-now"
payload = { "application_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "ran",
"actions_taken": [
{
"action": "add_note",
"body": "New apply in the inbox."
}
]
}Automations
run_automation
Run one hiring automation now. Pass application_id when the flow needs an application snapshot. Does not send email. MCP tool: run_automation.
POST
/
v1
/
employer
/
automations
/
{automation_id}
/
run-now
run_automation
curl --request POST \
--url https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/run-now \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({application_id: '<string>'})
};
fetch('https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/run-now', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/run-now"
payload = { "application_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "ran",
"actions_taken": [
{
"action": "add_note",
"body": "New apply in the inbox."
}
]
}